package xyz.zhouxy.plusone.mybatis;

import org.apache.ibatis.session.SqlSessionFactory;

public final class MybatisUtil {

    private SqlSessionFactory sqlSessionFactory;

    private MybatisUtil() {
    }

    MybatisUtil setSqlSessionFactory(SqlSessionFactory sqlSessionFactory) {
        this.sqlSessionFactory = sqlSessionFactory;
        return this;
    }

    private static final class Holder {
        private static final MybatisUtil INSTANCE = new MybatisUtil();
    }

    public static MybatisUtil getInstance() {
        return Holder.INSTANCE;
    }

    public static SqlSessionFactory getSqlSessionFactory() {
        return MybatisUtil.getInstance().sqlSessionFactory;
    }
}
