package xyz.zhouxy.plusone.validator;

import org.junit.jupiter.api.Test;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import xyz.zhouxy.plusone.constant.RegexConsts;

class BaseValidator2Test {

    @Test
    void testValid() {
        LoginCommand loginCommand = new LoginCommand("13169053215@qq.com", "8GouTDE53a", false);
        LoginCommandValidator.INSTANCE.validate(loginCommand);
        System.err.println(loginCommand);
    }
}

@Data
@NoArgsConstructor
@AllArgsConstructor
class LoginCommand {
    private String account;
    private String pwd;
    private boolean rememberMe;
}

class LoginCommandValidator extends BaseValidator2<LoginCommand> {

    public static final LoginCommandValidator INSTANCE = new LoginCommandValidator();

    private LoginCommandValidator() {
        ruleFor(loginCommand -> loginCommand.getAccount())
                .nonNull("邮箱地址不能为空")
                .matchesOr(new String[] { RegexConsts.EMAIL, RegexConsts.MOBILE_PHONE }, "请输入邮箱地址或手机号");
        ruleFor(loginCommand -> loginCommand.getPwd())
                .nonNull("密码不能为空")
                .matches(RegexConsts.PASSWORD, "密码格式错误");
    }
}
